Skip to main content
POST
/
functions
/
{function_id}
/
runs
/
start
python
from notte_sdk import NotteClient

notte = NotteClient()
# retrieve the function
fn = notte.Function("<function_id>")
# Run the function, providing variables
response = fn.run(url="https://shop.notte.cc/")
print(f"Function completed with result: {response.result}")
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.notte.cc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-api-key
string
required
x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

function_id
string
required

Body

application/json
workflow_id
string
required

The ID of the function to run

variables
Variables · object
required

The variables to run the workflow with

stream
boolean
default:true

Whether to stream logs, or only return final response

Response

Successful Response